Relative paths while exporting playlist
Status: Closed Start date: May 18, 2016

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: plugins/m3u Estimated time: 0.00 hour

Target version: 3.10   

Affects version:    

Description

Like many other users, I share(/sync) my song and playlist files between multiple computers (on different OS). The folder structure in

all computers are the same.

It would be great if Audacious provides an option to save the playlists using relative paths (rather than absolute). The playlist file then

becomes instantly "playable" on all computers!

Thanks!

History

#1 - July 10, 2016 06:05 - John Lindgren

Yes, I agree this would be a good feature to have.  I think it was there at some point, maybe back in the XMMS days, but the code probably bitrotted

over the years and was eventually removed.

#2 - July 10, 2016 06:23 - John Lindgren

- Category set to plugins/m3u

#3 - September 28, 2017 05:59 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.10

- % Done changed from 0 to 100

https://github.com/audacious-media-player/audacious/commit/c13e276c343732c573614114349d4b7189304aaf

https://github.com/audacious-media-player/audacious-plugins/commit/6f752b6876867802b6331278b15eb3aaf49208ca

#4 - September 28, 2017 06:20 - Mr Brahman

Thank you for working on this! I look forward to the 3.10 release

#5 - October 30, 2017 11:28 - The  Mummy

Also looking forward to it !

#6 - April 21, 2019 19:15 - Mr Brahman

I have v 3.10 now, and I see that "Use relative paths when possible" is checked in Settings -> Playlist -> Export section.

However, the export is still exporting the full paths. Can you please help understand under what conditions will the "relative" path be used?

Thank you.
#7 - April 23, 2019 15:16 - John Lindgren

The song files need to be in (or in a sub-folder of) the same folder containing the .m3u playlist.

If you have further issues, please ask on the forum rather than commenting on an closed feature request.
